package de.thdeg.grademanager.gui;

import de.thdeg.grademanager.model.CoursesOfStudy;
import de.thdeg.grademanager.model.Student;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.ComboBox;

import java.io.IOException;

public class MainController {
    @FXML
    protected ComboBox<CoursesOfStudy> coursesOfStudyComboBox;
    @FXML
    protected ComboBox<Student> studentComboBox;
    static public ObservableList<CoursesOfStudy> coursesOfStudyList = FXCollections.observableArrayList();
    static public ObservableList<Student> studentList = FXCollections.observableArrayList();

    @FXML
    protected void initialize() {
        if (!coursesOfStudyList.isEmpty()) {
            coursesOfStudyComboBox.setItems(coursesOfStudyList);
        }
        if (!studentList.isEmpty()) {
            studentComboBox.setItems(studentList);
        }
    }

    @FXML
    protected void switchToStudentDetails(ActionEvent event) throws IOException {
        StudentDetailsController.setStudent(studentComboBox.getValue());
        SwitchWindowHelper.switchTo("Student Details", event);
    }

    @FXML
    protected void switchToStudentModification(ActionEvent event) throws IOException {
        SwitchWindowHelper.switchTo("Student Modification", event);
    }

    @FXML
    protected void switchToCoursesOfStudyDetails(ActionEvent event) throws IOException {
        CoursesOfStudyDetailsController.setCourse(coursesOfStudyComboBox.getValue());
        SwitchWindowHelper.switchTo("CoursesOfStudy Details", event);
    }

    @FXML
    protected void switchToCoursesOfStudyModification(ActionEvent event) throws IOException {
        SwitchWindowHelper.switchTo("CoursesOfStudy Modification", event);
    }
}
